//  Copyright © 2016  B. Clausius <barcc@gmx.de>
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.

import QtQuick 2.4
import QtQuick.Controls 1.3
import QtQuick.Layouts 1.1

TabView {
    id: tabWidget
    Layout.fillWidth: true
    Layout.minimumWidth: tabs[currentIndex].implicitWidth
    Layout.minimumHeight: tabs[currentIndex].implicitHeight+35 //TODO: 35==tabheigth+2*framesize
    currentIndex: ctx.preferences_tabindex
    onCurrentIndexChanged: ctx.preferences_tabindex = currentIndex
    
    Tab {
        id: tabGraphic
        title: ctx.tr("Graphic")
        TabGraphic {}
    }
    Tab {
        id: tabMouse
        title: ctx.tr("Mouse")
        TabMouse {}
    }
    Tab {
        id: tabKeys
        title: ctx.tr("Keys")
        TabKeys {}
    }
    Tab {
        id: tabAppearance
        title: ctx.tr("Appearance")
        TabAppearance {}
    }
    // list of all tabs, getTab does not work (return undefined)
    property var tabs: [tabGraphic, tabMouse, tabKeys, tabAppearance]
}

